diff -ruN glibc-2.3.5.orig/localedata/ChangeLog glibc-2.3.5.ro_fix/localedata/ChangeLog
--- glibc-2.3.5.orig/localedata/ChangeLog	2005-04-06 03:50:57.000000000 +0300
+++ glibc-2.3.5.ro_fix/localedata/ChangeLog	2006-01-08 00:27:00.000000000 +0200
@@ -1,3 +1,11 @@
+2006-01-07  Eddy Petris,or  <eddy.petrisor@gmail.com>
+
+	* locales/ro_RO: Correct the sorting order of the letters a 
+	circumflex and a with breve according to the Romanian alphabet.
+	* locales/ro_RO: Do not use capital A with breve within day names
+	* locales/ro_RO: Use Romanian post-92 writing rules within day 
+	and abday
+
 2005-03-21  Jakub Jelinek  <jakub@redhat.com>
 
 	[BZ #823]
diff -ruN glibc-2.3.5.orig/localedata/locales/ro_RO glibc-2.3.5.ro_fix/localedata/locales/ro_RO
--- glibc-2.3.5.orig/localedata/locales/ro_RO	2004-11-01 01:42:27.000000000 +0200
+++ glibc-2.3.5.ro_fix/localedata/locales/ro_RO	2006-01-08 00:23:54.000000000 +0200
@@ -18,6 +18,10 @@
 % Charset: ISO-8859-2
 % Distribution and use is free, also
 % for commercial purposes.
+%
+% Corrections by:
+%  2006-01-07
+%  Eddy Petri<U015F>or <eddy.petrisor@gmail.com>
 
 LC_IDENTIFICATION
 title      "Romanian locale for Romania"
@@ -51,10 +55,10 @@
 % Copy the template from ISO/IEC 14651
 copy "iso14651_t1"
 
-% a a> a( b c d e f g h i i> j k l m n o p q r s s, t t, u v w x y z
+% a a( a> b c d e f g h i i> j k l m n o p q r s s, t t, u v w x y z
 
-collating-symbol <a/>>
 collating-symbol <a(>
+collating-symbol <a/>>
 collating-symbol <i/>>
 collating-symbol <s,>
 collating-symbol <t,>
@@ -64,8 +68,8 @@
 <BRE>
 
 reorder-after <a>
-<a/>>
 <a(>
+<a/>>
 reorder-after <i>
 <i/>>
 reorder-after <s>
@@ -74,11 +78,11 @@
 <t,>
 
 reorder-after <U0061>
-<U00E2> <a/>>;<CIR>;<MIN>;IGNORE
 <U0103> <a(>;<BRE>;<MIN>;IGNORE
+<U00E2> <a/>>;<CIR>;<MIN>;IGNORE
 reorder-after <U0041>
-<U00C2> <a/>>;<CIR>;<CAP>;IGNORE
 <U0102> <a(>;<BRE>;<CAP>;IGNORE
+<U00C2> <a/>>;<CIR>;<CAP>;IGNORE
 
 reorder-after <U0069>
 <U00EE> <i/>>;<CIR>;<MIN>;IGNORE
@@ -155,14 +159,14 @@
 
 LC_TIME
 abday   "<U0044><U0075>";"<U004C><U0075>";"<U004D><U0061>";"<U004D><U0069>";/
-        "<U004A><U006F>";"<U0056><U0069>";"<U0053><U00EE>"
-day     "<U0044><U0075><U006D><U0069><U006E><U0069><U0063><U0102>";/
+        "<U004A><U006F>";"<U0056><U0069>";"<U0053><U00E2>"
+day     "<U0044><U0075><U006D><U0069><U006E><U0069><U0063><U0103>";/
         "<U004C><U0075><U006E><U0069>";/
         "<U004D><U0061><U0072><U0163><U0069>";/
         "<U004D><U0069><U0065><U0072><U0063><U0075><U0072><U0069>";/
         "<U004A><U006F><U0069>";/
         "<U0056><U0069><U006E><U0065><U0072><U0069>";/
-        "<U0053><U00EE><U006D><U0062><U0102><U0074><U0102>"
+        "<U0053><U00E2><U006D><U0062><U0103><U0074><U0103>"
 abmon   "<U0069><U0061><U006E>";"<U0066><U0065><U0062>";/
         "<U006D><U0061><U0072>";"<U0061><U0070><U0072>";/
         "<U006D><U0061><U0069>";"<U0069><U0075><U006E>";/


